CaseyDenner Absent Member.
Absent Member.
6412 views

WebInspect Crawler and browser error

I'm using the command line to run WebInspect via bamboo.

I can run scans and they complete fine showing no vulnerabilities etc, however when I export as a scan log just to ensure it works (I know the tests should show vulnerabilities) it shows the following errors:

Error:Crawler error, session:C8BA8F00DB4CECE36559FE4AFC7CE3B1, error:Failed to launch browser:

The scan then runs but as I said finds no vulnerbilities etc - this would be obvious considering the crawler has an error.

Any ideas what the issue is and how it can be fixed?

Labels (1)
0 Likes
8 Replies
Outstanding Contributor.. pprofili Outstanding Contributor..
Outstanding Contributor..

Re: WebInspect Crawler and browser error

Are you running WebInspect 10.50 in Windows 7?  This symptom was a known issue that was the result of a couple of WIndows updates that broke the TruClientg component of WebInspect.  If you perform a SmartUpdate the patch should be applied for you and should resolve the issue.

0 Likes
CaseyDenner Absent Member.
Absent Member.

Re: WebInspect Crawler and browser error

Hello, thanks for the reply.

It's actually WebInspect 10.2 and running on a windows server 2008 r2 machine with Microsoft Service Pack 1, if thats any use?

0 Likes
Outstanding Contributor.. pprofili Outstanding Contributor..
Outstanding Contributor..

Re: WebInspect Crawler and browser error

Wow - 10.20!  That version is now  quite a few years old and is very much out of date so an upgrade to the latest version is highly recommended, however the issue is likely the same one I'm thinking of (2008 R2 is essentially Windows 7 in server form) and you may be able to get around the problem by removing the Microsoft updates that led to the issue initially - which were KB3126587 and KB3126593.  

If that doesn't work for you then definitely consider upgrading.  The current version (16.10) is not affected by the issue in question.

0 Likes
CaseyDenner Absent Member.
Absent Member.

Re: WebInspect Crawler and browser error

Thanks for your help.

I have found this link: link

It mentions a second workaround - Manually Replace the Affected TruClient Components and a browser.zip file. Is there any place that I can find this browser.zip file and try this workaround first?

Security will have a fit if I just remove the patches without consent so would rather try the other workaround first if possible.

0 Likes
Outstanding Contributor.. pprofili Outstanding Contributor..
Outstanding Contributor..

Re: WebInspect Crawler and browser error

Right - when the issue first occurred, 10.50 was the current version so a patch was made available for quick resolution.  The patch however will only work on versions 10.40 and 10.50 if I recall correctly - definitetely not 10.20 because of a older bundled version of Firefox.  About a week after the patch was made available via that route, it was then added to the SmartUpdate so that it could be applied more easily, so that's still the preferred option.

0 Likes
Micro Focus Expert
Micro Focus Expert

Re: WebInspect Crawler and browser error

Your best option will be to prepare your artifacts and scans (back-up), then uninstall WI 10.20 and install WI 16.10.  Check under the Edit menu > Application Settings > Directories panel to understand where the files are currently stored and will need to be moved to later.

 

We release twice annually, so 16.20 is due out this Fall 2016.  Here is the version progression you are facing.  SmartUpdate will only honor the last 2-3 versions, so you will need to use the reinstall route.

  • (10.20 > 10.30 > 10.40 > 10.50 > 16.10)

 

Installer source for customers:  https://softwaresupport.hpe.com/

You will need to know your SAID, so you may need to locate your Order and/or contact Fortify Support (support.fortify.com).


-- Habeas Data
Micro Focus Fortify Customers-Only Forums – https://community.softwaregrp.com/t5/Fortify/ct-p/fortify
0 Likes
New Member.. nonay
New Member..

Re: WebInspect Crawler and browser error

First, I know we need to upgrade - but we can't for reasons that don't matter at the moment.

we are on 16.10 and server 2012 R2, and I just experienced the problem.  No one has ever used the tool, they counldn't get it working - so we also need to patch since the last one was 7-16-2016!! Ouch

 

anyway - any feedback on seeing this on V16.1 with server 2012?

0 Likes
Highlighted
Micro Focus Expert
Micro Focus Expert

Re: WebInspect Crawler and browser error

You will need to contact Fortify Support (https://softwaresupport.softwaregrp.com) for it at this point.

 

And investigate how you could upgrade to the soon-to-be released 19.10.  We update the product 2x annually, and the attack database 4x.

https://www.microfocus.com/support-and-services/documentation/

>>  https://www.microfocus.com/documentation/fortify-webinspect/1820/  (System Requirements)


-- Habeas Data
Micro Focus Fortify Customers-Only Forums – https://community.softwaregrp.com/t5/Fortify/ct-p/fortify
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.